dofile("scripts/LevelManager.lua");

LManager = LevelManager.create();

LManager:AddNewTable( 1, 6, 260, 330, "assets/images/table/castle_6", "assets/images/food/item_mark1", "B" );


numServers = 1;
useFloAsServer = 0;

useWineTable = 1;
numMoodBoosts = 3;

--Level 5.10

--Group 1
guest = LManager.GenGuest(male02);
guest.matchType = NOT_GUEST + uncle;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female02);
guest.matchType = male02;
LManager:AddGuest(guest);

guest = LManager.GenGuest(uncle);
guest.matchType = table1;
LManager:AddGuest(guest);


LManager:SetSeatingGroup(1, 3, 1000);


--Group 2
guest = LManager.GenGuest(female01);
guest.matchType = NOT_GUEST + uncle;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male04);
guest.matchType = NOT_GUEST + female02;
guest.percentRequestMusic = 100;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male01);
guest.matchType = male04;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(4, 6, 18000);


--Group 3
guest = LManager.GenGuest(female04);
guest.matchType = male04;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male03);
guest.matchType = female01;
guest.percentRequestDrink = 30;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(7, 8, 28000);


-- Group 4
guest = LManager.GenGuest(male01);
guest.matchType = female03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female03);
guest.matchType = NOT_GUEST + male03;
LManager:AddGuest(guest);


LManager:SetSeatingGroup(9, 10, 40000);


--Group 5

guest = LManager.GenGuest(female02);
guest.matchType = female03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male04);
guest.matchType = NOT_GUEST + female02;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(11, 12, 70000);


--Group 6

guest = LManager.GenGuest(female02);
guest.matchType = male01;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male03);
guest.matchType = NOT_GUEST + female02;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male01);
guest.matchType = male03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male03);
guest.matchType = NOT_GUEST + female02;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(13, 16, 100000);

-- Group 7
guest = LManager.GenGuest(aunt);
guest.matchType = male03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male02);
guest.matchType = NOT_GUEST + male01;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(17, 18, 130000);


-- Group 8
guest = LManager.GenGuest(uncle);
guest.matchType = female03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female03);
guest.matchType = NOT_GUEST + male01;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(19, 20, 170000);


-- Group 9

guest = LManager.GenGuest(female04);
guest.matchType = male03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male03);
guest.matchType = NOT_GUEST + uncle;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(21, 22, 190000);


-- Group 10
guest = LManager.GenGuest(female01);
guest.matchType = NOT_GUEST + female02;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female02);
guest.matchType = female04;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male01);
guest.matchType = NOT_GUEST + female02;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(23, 25, 220000);

-- Group 11

guest = LManager.GenGuest(uncle);
guest.matchType = aunt;
LManager:AddGuest(guest);

guest = LManager.GenGuest(aunt);
guest.matchType = uncle;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(26, 27, 250000);


-- Group 12

guest = LManager.GenGuest(female03);
guest.matchType = male03;
LManager:AddGuest(guest);

guest = LManager.GenGuest(male03);
guest.matchType = NOT_GUEST + female02;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female02);
guest.matchType = female01;
LManager:AddGuest(guest);

guest = LManager.GenGuest(female01);
guest.matchType = table1;
LManager:AddGuest(guest);

LManager:SetSeatingGroup(28, 31, 280000);


LManager:AdjustGuestTolerance(150);



LManager:SetLevelSetting ("cakeTipDelay", 15000);
LManager:SetLevelSetting ("cakeTipChance", 100);

LManager:SetLevelSetting ("bridesmaidsDelay", 170000);
LManager:SetLevelSetting ("bridesmaidChance", 100);

LManager:SetLevelSetting ("cakeTipDelay", 250000);
LManager:SetLevelSetting ("cakeTipChance", 100);

-- Set up the Level Settings
LManager:SetLevelNumber(5,3);
LManager:SetLevelScores(11000, 14000);
LManager:SetLevelTime(400000);
LManager:SetLevelSetting ("blaster", 1);

LManager:SetMusic("assets/audio/music/Big Band 2.ogg","assets/audio/music/uptempo_2.ogg","assets/audio/music/new_dance_2.ogg");
LManager:SetBackgroundImage("assets/images/bg_castle");
LManager:SetChairImage("assets/images/table/chair05");

-- Generate Game Object
gameObject = LManager:GenerateGameObject();

-- Generate Level Settings
levelSetting = LManager:GenerateLevelSettings();

-- Generate Level Dialog
dofile( "scripts/LevelDialogGenerator.lua" );